Skip to Content

SAP PI 7.40 will be supported in mainstream maintenance to end of 2020

Dear All,

As per the SAP Note, SAP PI 7.4 version will going to updated / stop support end of 2020. Please let us know what is the futher steep need to take. Whether have to migrate from 7.4 to 7.5.? Please suggest me on this.

My System Details

SAP PI 7.4 - Dual Stack (Abap -Clasical + JAVA- ICO )

No BPM Scenarios

Adopters using.

FILE JDBC JMS IDOC RFC REST SOAP XI


Note content copied here. :

1. Application Server Java within SAP NetWeaver 7.10, 7.11, 7.20, 7.30, 7.31, 7.40 will be supported in mainstream maintenance to end of 2020. Extended maintenance will not be offered.

2. Application Server Java within SAP NetWeaver 7.50 will be supported in mainstream maintenance to end of 2022. Extended maintenance will not be offered.

Regards,

Kesava.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Apr 25 at 09:52 AM

    Hi Kesava,

    yes, mainstream support of NetWeaver 7.40 will end by 2020 so it's highly recommended to upgrade to NetWeaver 7.50 which will have support until 2025 as described in SAP Note 1648480 - Maintenance for SAP Business Suite 7 Software including SAP NetWeaver.

    SAP NetWeaver Java

    • SAP NetWeaver 7.50: Mainstream maintenance will be offered through December 2024.

    SAP NetWeaver ABAP

    • SAP NetWeaver 7.50: Mainstream maintenance will be offered through December 2025.

    Best regards,
    Mate

    Add comment
    10|10000 characters needed characters exceeded

  • Apr 25 at 10:08 AM

    Hi Mate,

    Thanks for your detail explanation. Please suggest on my below points.

    1. 7.4 system have to upgrade with the latest patch to update 7.4 system to 7.5 ?

    2 . Have to configure new 7.5 box and migrate all 7.4 System object (Clasical + ICO) to 7.5 System ICOs?

    Please share with me if you have any documents on this topic to understand in better way.

    Thanks,

    Kesava.

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Kesava,

      you can upgrade your 7.40 to 7.50 but in 7.50 there is no dual-stack anymore, the ABAP and Java stack work in a dual-usage mode as they have different systemIDs.

      If there is no strong business need to use dual-usage mode, then I'd recommend to upgrade to a 7.50 Java only system or do a brand new installation of a 7.50 system, depends on your needs. You can always check the installation guide of NetWeaver 7.50 https://help.sap.com/viewer/nwguidefinder

      If you have classical scenarios, then you need to migrate them to ICOs.


      Best regards,
      Mate